com.io7m.jpra.compiler.core.parser

## Interface JPRAParserType

- All Known Implementing Classes:
    JPRAParser

      public interface JPRAParserType

  The type of parsers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parseEOF(Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> lex)` EOF has been encountered.
    `SizeExprType<Unresolved,Untyped>` | `parseSizeExpression(com.io7m.jsx.SExpressionType expr)` Parse a size expression.
    `StatementType<Unresolved,Untyped>` | `parseStatement(com.io7m.jsx.SExpressionType expr)` Parse a statement.
    `TypeExprType<Unresolved,Untyped>` | `parseTypeExpression(com.io7m.jsx.SExpressionType expr)` Parse a type expression.

- - ### Method Detail

    - #### parseStatement

          StatementType<Unresolved,Untyped> parseStatement(com.io7m.jsx.SExpressionType expr)
                                                    throws JPRACompilerParseException

      Parse a statement.
      Parameters:
        `expr` - The input expression
      Returns:
        A statement
      Throws:
        `JPRACompilerParseException` - On parse errors

    - #### parseTypeExpression

          TypeExprType<Unresolved,Untyped> parseTypeExpression(com.io7m.jsx.SExpressionType expr)
                                                        throws JPRACompilerParseException

      Parse a type expression.
      Parameters:
        `expr` - The input expression
      Returns:
        A type expression
      Throws:
        `JPRACompilerParseException` - On parse errors

    - #### parseSizeExpression

          SizeExprType<Unresolved,Untyped> parseSizeExpression(com.io7m.jsx.SExpressionType expr)
                                                        throws JPRACompilerParseException

      Parse a size expression.
      Parameters:
        `expr` - The input expression
      Returns:
        A type expression
      Throws:
        `JPRACompilerParseException` - On parse errors

    - #### parseEOF

          void parseEOF(Optional<com.io7m.jlexing.core.ImmutableLexicalPositionType<Path>> lex)
                 throws JPRACompilerParseException

      EOF has been encountered.
      Parameters:
        `lex` - Lexical information, if any
      Throws:
        `JPRACompilerParseException` - On parse errors

Copyright © 2015 <code@io7m.com> http://io7m.com